# $Revision: 1.45 $, $Date: 2010/08/21 19:07:51 $
%include	/usr/lib/rpm/macros.php
%define		_class		File
%define		_subclass	Passwd
%define		_status		stable
%define		_pearname	%{_class}_%{_subclass}
Summary:	%{_pearname} - manipulate password files
Summary(pl.UTF-8):	%{_pearname} - manipulacje na plikach z hasłami
Name:		php-pear-%{_pearname}
Version:	1.1.7
Release:	2
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	b11d5dac02ddd93fdfdd4756a0868afe
URL:		http://pear.php.net/package/File_Passwd/
BuildRequires:	php-pear-PEAR >= 1:1.4.0-0.b1
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-common >= 3:4.0.6
Requires:	php-pcre
Requires:	php-pear
Requires:	php-pear-PEAR-core
Suggests:	php-pear-Crypt_CHAP
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

# exclude optional dependencies
%define		_noautoreq	'pear(Crypt/CHAP.*)'

%description
Provides methods to manipulate standard Unix, SMB server, AuthUser
(.htpasswd), AuthDigest (.htdigest) and CVS pserver password files.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Dostarcza metody do manipulacji na standardowych Uniksowych plikach
passwd, serwera SMB, AuthUser (.htpasswd), AuthDigest (.htdigest) oraz
na plikach passwd CVS pserver.

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development/Languages/PHP
Requires:	%{name} = %{version}-%{release}
AutoProv:	no
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -f %{_docdir}/%{name}-%{version}/optional-packages.txt ]; then
	cat %{_docdir}/%{name}-%{version}/optional-packages.txt
fi

%files
%defattr(644,root,root,755)
%doc install.log optional-packages.txt
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}/%{_subclass}
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/%{_subclass}/*.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-File_Passwd.spec,v $
Revision 1.45  2010/08/21 19:07:51  glen
- updated deps with pearize.sh
- release 2

Revision 1.44  2009/01/07 00:33:21  adamg
- updated to 1.1.7

Revision 1.43  2008-02-07 08:54:11  ankry
- pl

Revision 1.42  2008-01-31 12:17:18  glen
- rel 5

Revision 1.41  2007-02-13 08:06:39  glen
- tabs in preamble

Revision 1.40  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.39  2006/11/21 19:57:01  glen
- rel 4: use php(extension) virtuals

Revision 1.38  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.37  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.36  2006/03/29 22:29:17  glen
- rel 3 (rebuild with less deps)

Revision 1.35  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.34  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.33  2006/02/16 18:56:35  glen
- require php-pear-PEAR-core, not the full PEAR package with deps

Revision 1.32  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.31  2005/10/27 18:36:32  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.30  2005/10/05 18:31:31  glen
- rel 2

Revision 1.29  2005/10/03 22:59:16  glen
- semi automatically added deps from pear

Revision 1.28  2005/09/27 22:28:34  glen
- 1.1.6

Revision 1.27  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.26  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.25  2005/09/20 21:57:25  glen
- new pear packaging

Revision 1.24  2005/05/27 14:05:55  adamg
- updated to 1.1.5

Revision 1.23  2005/05/05 07:37:58  adamg
- updataed to 1.1.4

Revision 1.22  2005/03/21 15:21:45  adamg
- updated to 1.1.3

Revision 1.21  2005/02/05 19:31:56  adamg
- updated to 1.1.2

Revision 1.20  2004/12/03 22:06:23  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.19  2004/11/08 16:37:38  paladine
- updated to 1.1.1

Revision 1.18  2004/06/10 17:54:03  adamg
- updated to 1.1.0

Revision 1.17  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.16  2004/04/03 14:42:15  adamg
- updated to 1.0.2

Revision 1.15  2004/03/17 17:24:32  adamg
- updated to 1.0.0
- status changed to stable

Revision 1.14  2004/03/15 17:44:30  ankry
- massive cosmetics

Revision 1.13  2003/12/24 10:12:47  adamg
- updated to 1.0b2
- some minor cosmetics

Revision 1.12  2003/10/10 15:23:55  adamg
- updated to 0.9.5

Revision 1.11  2003/10/07 20:54:31  adamg
- do not use macros in URL

Revision 1.10  2003/10/01 22:36:04  adamg
- updated to 0.9.4

Revision 1.9  2003/09/24 13:18:53  adamg
- md5 sum fixed
- added missing files
- tests added to %%doc

Revision 1.8  2003/09/24 12:54:17  adamg
- updated to 0.9.3
- pl/en description updated

Revision 1.7  2003/09/21 21:50:58  adamg
- updated to 0.9.2

Revision 1.6  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.5  2003/08/31 10:40:24  adamg
- updated to 0.9.1

Revision 1.4  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.3  2003/05/25 06:25:19  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/02/23 14:02:49  blues
- added status info

Revision 1.1  2002/11/14 15:40:14  blues
- initial release (beta class) - STBR
